
#ifndef __CONSOLE_H
#define __CONSOLE_H

#include <type.h>

typedef enum CON_COLOUR_ENUM {
	BLACK, BLUE, GREEN, CYAN, RED, MAGENTA, BROWN, WHITE,
	GRAY, LIGHT_BLUE, LIGHT_GREEN, LIGHT_CYAN, 
	LIGHT_RED, LIGHT_MAGENTA, YELLOW, BRIGHT_WHITE
} CON_COLOUR;

extern void init_console(void);
extern void puts(unsigned char *text);
extern void putch(unsigned char c);
extern void settextcolor(unsigned char forecolor, unsigned char backcolor);
extern void cls();


#endif
