
#ifndef __LIBC_H
#define __LIBC_H

#include <type.h>

extern void *memcpy(void *dest, const void *src, size_t count);

extern void *memset(void *dest, char val, size_t count);

extern unsigned short *memsetw(unsigned short *dest, unsigned short val, size_t count);

extern size_t strlen(const unsigned char *str);

enum KERN_LEVEL {KERN_DEBUG, KERN_INFO, KPL_PANIC};

/* defined in printk.c */
void printk(enum KERN_LEVEL kl, const char *fmt, ...);

#endif
