
#ifndef __TYPE_H
#define __TYPE_H

typedef int size_t;

#ifndef true
#define true (1==1)
#endif

#ifndef false
#define false (1==0)
#endif


typedef unsigned long long uint64_t;
typedef unsigned int uint32_t;
typedef unsigned short uint16_t;
typedef unsigned char uint8_t;

typedef long long int64_t;
typedef int int32_t;
typedef short int16_t;
typedef char int8_t;


typedef int32_t  intptr_t;
typedef uint32_t uintptr_t;


/* This defines what the stack looks like after an ISR was running */
struct regs {
	uint32_t gs, fs, es, ds;
	uint32_t edi, esi, ebp, esp, ebx, edx, ecx, eax;
	uint32_t int_no, err_code;
	uint32_t eip, cs, eflags, useresp, ss;
	//uint32_t int_no, err_code;
};


#endif
